.block__video-container {
  .field--type-entity-reference {
    margin-bottom: 0;
  }

  .content {
    display: grid;
    align-items: center;
    row-gap: 1rem;

    @media (min-width: 768px) {
      grid-template-columns: repeat(2, 1fr);
      column-gap: 1rem;
    }

    .video-container__video {
      iframe {
        border-radius: 15px;
        width: 100%;
        height: 100%;
        aspect-ratio: 16 / 9;
      }
    }

    .video-container__text {
      display: flex;
      align-items: center;
      line-height: 1.4;
    }
  }
}

.block__video-container.no-text {
  .content {
    grid-template-columns: 1fr;

    .video-container__video {
      iframe {
        display: block;
        width: 100%;
        margin: 0 auto;

        @media (min-width: 768px) {
          width: 80%;
        }
      }
    }
  }
}
